# Automated hardening for BT customised Ubuntu-20.04.1 OS

The script is executed as part of the late-command.sh script.
The provided hardening is based on the CIS security benchmark for Ubuntu 18.04 LTS.

This script will auto install necessary packages on the host machine if they have not been installed already.
Depending on the result of pre-installed check, very little interaction is required from the user.

## Running the script
To execute the script outside of late-command.sh, navigate to /config-data/cis-files

Then run the following command:
`./cis-harden.sh apply_config`

The apply_config function will apply all the hardening from the script.

You could apply a specific hardening from the script by calling the required function.
`./cis-harden.sh pam_settings`